[arch-commits] Commit in subversion/trunk (ChangeLog PKGBUILD)

Douglas Soares de Andrade douglas at archlinux.org
Fri Apr 10 12:28:23 EDT 2009


    Date: Friday, April 10, 2009 @ 12:28:23
  Author: douglas
Revision: 34631

upgpkg: subversion 1.6.1-1
    Updated for i686: 1.6.1 with rpath fix from gerardo

Modified:
  subversion/trunk/ChangeLog
  subversion/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   21 +++++++++++++++++++--
 2 files changed, 24 insertions(+), 2 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-04-10 15:26:02 UTC (rev 34630)
+++ ChangeLog	2009-04-10 16:28:23 UTC (rev 34631)
@@ -1,4 +1,9 @@
 
+2009-04-10  Douglas Soares de Andrade  <douglas at archlinux.org>
+
+	* Updated for i686: 1.6.1
+	* Added gerardo patch to fix insecure rpaths
+
 2009-03-24  Douglas Soares de Andrade  <douglas at archlinux.org>
 
 	* Added sqlite3 as a dep

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-10 15:26:02 UTC (rev 34630)
+++ PKGBUILD	2009-04-10 16:28:23 UTC (rev 34631)
@@ -3,8 +3,8 @@
 # Maintainer: Jason Chu <jason at archlinux.org>
 
 pkgname=subversion
-pkgver=1.6.0
-pkgrel=2
+pkgver=1.6.1
+pkgrel=1
 pkgdesc="Replacement for CVS, another versioning system (svn)"
 arch=(i686 x86_64)
 license=('apache' 'bsd')
@@ -47,6 +47,12 @@
    install -d -m 755 tools/hook-scripts $startdir/pkg/usr/share/subversion/
    rm -f $startdir/pkg/usr/share/subversion/hook-scripts/*.in
 
+   (
+     cd subversion/bindings/swig/perl/native
+     perl Makefile.PL
+     sed 's|^LD_RUN_PATH|#LD_RUN_PATH|g;s|LD_RUN_PATH="$(LD_RUN_PATH)" ||g' -i Makefile{,.{client,delta,fs,ra,repos,wc}}
+   ) || return 1
+
    make DESTDIR=$startdir/pkg swig-pl || return 1
    make install-swig-pl DESTDIR=$startdir/pkg INSTALLDIRS=vendor || return 1
    rm -f $startdir/pkg/usr/lib/perl5/vendor_perl/auto/SVN/_Core/.packlist
@@ -79,3 +85,14 @@
          'a0db6dd43af33952739b6ec089852630'
          'c459e299192552f61578f3438abf0664'
          '9540c341d669b3cdc27dcf2d36727aee')
+md5sums=('32014fe70397357fa1e0ef8f937a0232'
+         '86b500a8e10bb88f3d48c69774ab7049'
+         'c5a2e490b3e58c6bd2ca3a2e72b71845'
+         'a0db6dd43af33952739b6ec089852630'
+         'c459e299192552f61578f3438abf0664'
+         '9540c341d669b3cdc27dcf2d36727aee')
+md5sums=('32014fe70397357fa1e0ef8f937a0232'
+         'c5a2e490b3e58c6bd2ca3a2e72b71845'
+         'a0db6dd43af33952739b6ec089852630'
+         'c459e299192552f61578f3438abf0664'
+         '9540c341d669b3cdc27dcf2d36727aee')



More information about the arch-commits mailing list